#!/bin/bash

set -x;
#LIST= "$@"
# 获取版本
#OLD_VERS=$(dpkg-query -f '"${Package}:${Architecture}":"${Version}",' -W $LIST)
#echo "OLD_VERS:$OLD_VERS"

retCode=0
echo $#
if [ $# -lt 1 ]
then
    echo -1
else
    # DEBIAN_FRONTEND=noninteractive 设置环境变量,取消命令执行过程中部分交互
    DEBIAN_FRONTEND=noninteractive apt-get -y update;
    for var in $@
    do
        echo $var
        DEBIAN_FRONTEND=noninteractive apt-get -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" install ${var}
        curVersion=`dpkg-query  -W -f='${Version}' ${var}`
        lastVersion=`LC_ALL=C apt policy ${var} | grep 'Candidate' | awk '{print $2}'`
        echo ${curVersion} ${lastVersion}

        # 升级后版本与最新版本不等时或软件版本获取失败,返回-2,任何一个软件升级失败,任务返回失败
        if [ ${curVersion} != ${lastVersion} ]
        then
            retCode=-2
        fi
    done
    echo ${retCode}
fi
